View Issue Details

IDProjectCategoryView StatusLast Update
0003513ScribusUser Interfacepublic2019-11-07 17:31
Reportermhanski Assigned ToTsoots  
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version1.3.3cvs 
Target Version1.5.4Fixed in Version 
Summary0003513: Toolbar: rearrange icons, allow two column view (mockups included)
Description-- Toolbar icons need to be rearranged to reflect the logical real world workflow.

-- Allow optional switching to two-column-view


Ideas from 0007465
 - something like OpenOffice
 - some default setting (for beginners)
 - user can create toolbars and each item and order is optional
 - in toolbar creating there must be all items not only basic like now (1.3.5)
 - if the item has a few levels (shape,...) add a possibility add each level (for example only Default Shapes)
Additional InformationThis is a part of a longer report I've received per mail from a Polish DTP professional (a pl.comp.dtp reader).
Tagsindigodock
PatchNo

Relationships

related to 0012039 new Ability to hide toolbar/general icons 
related to 0011018 new Add dock/undock button to palettes. 
related to 0009096 new Tool options on canvas 
has duplicate 0007465 closed change toolbars for fully customizable 

Activities

2006-03-27 10:03

 

2006-03-27 10:04

 

Kunda

2015-06-05 20:19

manager   ~0035326

+1 on this. Adding to Future Releases.

ale

2015-06-06 08:18

manager   ~0035335

Last edited: 2015-06-06 08:18

View 2 revisions

interesting (or even necessary!) for small screens (netbooks...)

... but are there people stille using scribus on such small screens?

if the there are too many buttons in the main toolbar and it does not fit in a normal small monitor, imo we should rather reduce the number of buttons in there...

also,i don't really see an interest to have the toolbar floating around...
just dock it to the left side of the scribus window and you'll have a layout that best uses the available space.

on the other side, what could be interesting, is to bind the tab key to hiding all scribus palettes and toolbars (as gimp does!)...

p.s.: i might change my mind, the day i can dock and "tab" palettes to the left and right side as i can do in gimp...

Kunda

2015-06-06 12:30

manager   ~0035336

ale, thanks for your feedback. Besides the points your brought up the deeper issue here (for me) is freedom and personalization. The user should have the flexibilty to set up their UI as much as possible. For example, a left handed user or some one with certain disability issue, I'm sure they set up their workflows differently then the norm based on their preferences. Most likely they have customized their workstation to deal with their issues, lets let them be able to do so in the software as well. Yes they can keybind, but that's not the point because they wouldn't need many of the toolbars if that was the case. Let people be able to tinker and customize, they will appreciate these little details and feel more connected to application.

I like the other ideas you present and if they are not feature requested yet, I encourage you to report them.

Kunda

2016-02-02 19:01

manager   ~0038536

Merged and closed 0007465

Kunda

2016-02-02 19:15

manager   ~0038540

This may get addressed in indigoDock (https://github.com/nitramr/indigoDock)

ale

2019-11-07 17:31

manager   ~0047019

imo, it would be better to remove some of the icons and leave it as a one column vertical toolbar...

Issue History

Date Modified Username Field Change
2006-03-27 10:03 mhanski New Issue
2006-03-27 10:03 mhanski File Added: scribus133cvs_main_toolbar-rearranged.png
2006-03-27 10:04 mhanski File Added: scribus133cvs_main_toolbar-rearranged_2-cols.png
2006-03-27 10:05 mhanski Additional Information Updated
2006-03-27 10:11 Tsoots Status new => assigned
2006-03-27 10:11 Tsoots Assigned To => Tsoots
2006-04-15 19:18 mhanski Relationship added related to 0000683
2006-05-09 20:01 plinnell Relationship deleted related to 0000683
2015-06-05 20:19 Kunda Note Added: 0035326
2015-06-05 20:20 Kunda Patch => No
2015-06-05 20:20 Kunda Target Version => Future Release - Nice to have
2015-06-06 08:18 ale Note Added: 0035335
2015-06-06 08:18 ale Note Edited: 0035335 View Revisions
2015-06-06 12:30 Kunda Note Added: 0035336
2016-02-02 19:01 Kunda Note Added: 0038536
2016-02-02 19:01 Kunda Description Updated View Revisions
2016-02-02 19:02 Kunda Relationship added has duplicate 0007465
2016-02-02 19:08 Kunda Relationship added related to 0012039
2016-02-02 19:09 Kunda Relationship added related to 0011018
2016-02-02 19:10 Kunda Relationship added related to 0009096
2016-02-02 19:15 Kunda Note Added: 0038540
2016-04-25 11:35 Kunda Tag Attached: indigodock
2016-12-11 21:01 Kunda Target Version Future Release - Nice to have => 1.5.4
2019-11-07 17:31 ale Note Added: 0047019